Name:           perl-Test-InDistDir
Version:        1.112071
Release:        10
Summary:        Test environment setup for development with IDE
License:        WTFPL
URL:            https://metacpan.org/release/Test-InDistDir
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MITHALDU/Test-InDistDir-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils, perl-interpreter, perl-generators, perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict), perl(warnings), perl(File::Spec), perl(lib), perl(File::Find)
BuildRequires:  perl(File::Temp), perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module helps run test scripts in IDEs like Komodo.

When running test scripts in an IDE i have to set up a project file
defining the dist dir to run tests in and a lib dir to load additional
modules from. Often I didn't feel like doing that, especially when i
only wanted to do a small patch to a dist. In those cases i added a
BEGIN block to mangle the environment for me.

This module basically is that BEGIN block. It automatically moves up
one directory when it cannot see the test script in "t/$scriptname"
and includes 'lib' in @INC when there's no blib present. That way the
test ends up with almost the same environment it'd get from EUMM/prove/etc.,
even when it's actually run inside the t/ directory.

At the same time it will still function correctly when called by EUMM/prove/etc.,
since it does not change the environment in those cases.

%package        help
Summary:        man files for %{name}
Requires:       man

%description    help
This package includes man files for %{name}.

%prep
%autosetup -n Test-InDistDir-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc README.mkdn
%{perl_vendorlib}/*

%files help
%{_mandir}/man*/*

%changelog
* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.112071-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:change delete packlist

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.112071-9
- Package init
